Bug 608527 - "RuntimeError: error copying filesystem" while installing to usb drive
"RuntimeError: error copying filesystem" while installing to usb drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:eee031f257ad58ee8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 22:13 EDT by Ken Dwyer
Modified: 2011-06-27 15:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (8.38 MB, text/plain)
2010-06-27 22:13 EDT, Ken Dwyer
no flags Details
Attached traceback automatically from anaconda. (8.68 MB, text/plain)
2010-09-24 15:36 EDT, Thomas Jones
no flags Details

  None (edit)
Description Ken Dwyer 2010-06-27 22:13:21 EDT
The following was filed automatically by anaconda:
anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/livecd.py", line 216, in doInstall
    raise RuntimeError, "error copying filesystem!"
  File "/usr/lib/anaconda/backend.py", line 299, in doInstall
    return anaconda.backend.doInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1334, in handleRenderCallback
    self.currentWindow.renderCallback()
RuntimeError: error copying filesystem!
Comment 1 Ken Dwyer 2010-06-27 22:13:37 EDT
Created attachment 427290 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2010-06-29 14:25:23 EDT
Is this at all reproducible?  I see nothing in your log files that indicate why you're hitting this problem, only the traceback message.
Comment 3 Ken Dwyer 2010-06-30 12:30:01 EDT
Hi Chris,

Thanks for having a look. To clarify the situation, what I am trying to do is install Fedora 13 onto a usb stick. (The target machine has no hard drive). I've done this successfully before with Ubuntu Jaunty, however, I've tried a couple of times with various versions of Fedora and it always seems to flake out just before the installation is finished.

In this particular case, I created a bootable live usb stick using the Fedora usb creator tool, and this was loaded with the F13 LXDE spin. I booted up the machine from this stick, then inserted another usb stick that was the target for the installation. Everything seemed to be fine with pointing the installer to the correct usb stick, partitioning, and watching the progress bar move along. Then it just quit unexpectedly and offered me the choice of filing a bug, so I did.

I'm thinking of instead trying to install Fedora onto the usb stick from an installation CD (as opposed to a Live CD). Or maybe even just installing from a Live CD (not another usb stick), although somehow I doubt that would have any effect.

To answer your question, I might be able to reproduce the problem. I'm not sure if I could exactly replicate the partitioning scheme, but maybe the install will fail regardless of those specific settings.

Do you think it's worth a try?
Comment 4 Jeff Raber 2010-07-02 17:03:41 EDT
Changed version to '13'.
Comment 5 Thomas Jones 2010-09-24 15:36:42 EDT
Created attachment 449497 [details]
Attached traceback automatically from anaconda.
Comment 6 Thomas Jones 2010-09-24 16:42:39 EDT
Comment on attachment 449497 [details]
Attached traceback automatically from anaconda.

I was trying to install on a AMD64 SATA RAID 0(aka FakeRaid).. I initially used gparted to slice the partitions.  After a few fails, I decided to do a default install on the RAID and this was successful.
Comment 7 Chris Lumens 2010-09-24 17:05:47 EDT
This certainly is a strange error.  I don't see anything useful in any of these log files, unfortunately.  I was hoping for something simple like a kernel error message that would explain why more is read from the livecd than is written to the disk.

My only other thought is that the destination isn't big enough to hold the livecd image, but we should be catching that case too.  I don't suppose I'm lucky enough for that to be the problem and our test is incorrect, hm?
Comment 8 Bug Zapper 2011-06-01 11:24:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 15:03:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.